import { defineComponent as a, computed as o, openBlock as s, createBlock as u, unref as t, normalizeProps as p, guardReactiveProps as m, withCtx as f, createVNode as d } from "vue";
import "../../confirm-button/index.mjs";
import "../../count-down-button/index.mjs";
import "../../ellipsis/index.mjs";
import "../../rich-text-editor/index.mjs";
import "../index.mjs";
import { WetProFormItem as P } from "../../pro-form/index.mjs";
import "../../pro-table/index.mjs";
import "../../pro-descriptions/index.mjs";
import "../../layout/index.mjs";
import "../../page/index.mjs";
import "../../guide/index.mjs";
import { ElTimeSelect as h } from "element-plus";
import { wetProFormItemProps as _ } from "../../pro-form/src/types.mjs";
const z = /* @__PURE__ */ a({
  name: "WetFormTimeSelect",
  __name: "time-select",
  props: {
    ..._,
    placeholder: String,
    formInputProps: {
      type: Object
    }
  },
  setup(l) {
    const e = l, c = o(() => {
      const r = { ...e };
      return delete r.formInputProps, r;
    }), i = o(() => e.placeholder ? e.placeholder : `请选择${e.label}`);
    return (r, I) => (s(), u(t(P), p(m(c.value)), {
      default: f(({ modelValue: n }) => [
        d(t(h), p(m({
          ...n,
          placeholder: i.value,
          ...e.formInputProps
        })), null, 16)
      ]),
      _: 1
    }, 16));
  }
});
export {
  z as default
};
